#include <config.h>
#define _GNU_SOURCE
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
static const char bigdft_bibliography_arr[] =
"---\n"
"Genovese2008:\n"
"  JOURNAL_REF: 'J. Chem. Phys. 129, 014109 (2008)'\n"
"  BIBTEX_REF: |\n"
"    @article{Genovese2008,\n"
"    author = {Luigi Genovese and Alexey Neelov and Stefan Goedecker and Thierry Deutsch and Seyed Alireza Ghasemi and Alexander Willand and Damien Caliste and Oded Zilberberg and Mark Rayson and Anders Bergman and Reinhold Schneider},\n"
"    title = {Daubechies wavelets as a basis set for density functional pseudopotential calculations},\n"
"    journal = {The Journal of Chemical Physics},\n"
"    volume = {129},\n"
"    number = {1},\n"
"    pages = {014109},\n"
"    year = {2008},\n"
"    doi = {10.1063/1.2949547},\n"
"\n"
"    URL = {http://dx.doi.org/10.1063/1.2949547}\n"
"    }\n"
"  DESCRIPTION: Original paper of BigDFT code, for the cubic scaling approach.\n"
"Mohr2014:\n"
"  JOURNAL_REF: J. Chem. Phys. 140, 204110 (2014)\n"
"  BIBTEX_REF: |\n"
"    @article{Mohr2014,\n"
"    author = {Stephan Mohr and Laura E. Ratcliff and Paul Boulanger and Luigi Genovese and Damien Caliste and Thierry Deutsch and Stefan Goedecker},\n"
"    title = {Daubechies wavelets for linear scaling density functional theory},\n"
"    journal = {The Journal of Chemical Physics},\n"
"    volume = {140},\n"
"    number = {20},\n"
"    pages = {204110},\n"
"    year = {2014},\n"
"    doi = {10.1063/1.4871876},\n"
"    \n"
"    URL = {http://dx.doi.org/10.1063/1.4871876}\n"
"    }\n"
"  DESCRIPTION: First paper describing linear scaling approach in Daubechies wavelets basis\n"
"Mohr2015:\n"
"  JOURNAL_REF: PCCP 17, 31360 (2015)\n"
"  BIBTEX_REF: |\n"
"    @Article{Mohr2015,\n"
"    author ={Mohr, Stephan and Ratcliff, Laura E. and Genovese, Luigi and Caliste, Damien and Boulanger, Paul and Goedecker, Stefan and Deutsch, Thierry},\n"
"    title  ={Accurate and efficient linear scaling DFT calculations with universal applicability},\n"
"    journal  ={Phys. Chem. Chem. Phys.},\n"
"    year  ={2015},\n"
"    volume  ={17},\n"
"    issue  ={47},\n"
"    pages  ={31360-31370},\n"
"    doi  ={10.1039/C5CP00437C},\n"
"    url  ={http://dx.doi.org/10.1039/C5CP00437C}\n"
"    }\n"
"  DESCRIPTION: Paper describing the suitability of Linear scaling approach for a wide class of systems\n"
"Schaefer2015:\n"
"  JOURNAL_REF: J. Chem. Phys. 142, 034112 (2015)\n"
"  BIBTEX_REF: |\n"
"    @article{Schaefer2015,\n"
"    title   = {{S}tabilized {Q}uasi-{N}ewton {O}ptimization of {N}oisy {P}otential {E}nergy {S}urfaces},\n"
"    author  = {Schaefer, Bastian and Ghasemi, S. Alireza and Roy, Shantanu and Goedecker, Stefan},\n"
"    year    = {2015},\n"
"\n"
"    month   = jan,\n"
"\n"
"    Journal  = {The Journal of Chemical Physics},\n"
"    volume = {142},\n"
"    number = {3},\n"
"    pages   = {034112},\n"
"\n"
"    Arxivid = {arXiv:1412.0935},\n"
"    doi = {10.1063/1.4905665}\n"
"    }\n"
"  DESCRIPTION: Geometry optimizers tailored for electronic structure calculations\n"
"Bitzek2006:\n"
"  JOURNAL_REF: 'Phys. Rev. Lett. 97, 170201 (2006)'\n"
"  BIBTEX_REF: | \n"
"    @article{Bitzek2006,\n"
"    title = {Structural Relaxation Made Simple},\n"
"    author = {Bitzek, Erik and Koskinen, Pekka and G\\\"ahler, Franz and Moseler, Michael and Gumbsch, Peter},\n"
"    journal = {Phys. Rev. Lett.},\n"
"    volume = {97},\n"
"    issue = {17},\n"
"    pages = {170201},\n"
"    numpages = {4},\n"
"    year = {2006},\n"
"    month = {Oct},\n"
"    publisher = {American Physical Society},\n"
"    doi = {10.1103/PhysRevLett.97.170201}\n"
"    }\n"
"  DESCRIPTION: FIRE, a damped MD minimizer\n"
"Ratcliff2015:\n"
"  DESCRIPTION: Fragment approach in BigDFT\n"
"  JOURNAL_REF: J. Chem. Phys. 142, 234105 (2015)\n"
"  BIBTEX_REF: |\n"
"    @article{Ratcliff2015,\n"
"    author = {Laura E. Ratcliff and Luigi Genovese and Stephan Mohr and Thierry Deutsch},\n"
"    title = {Fragment approach to constrained density functional theory calculations using Daubechies wavelets},\n"
"    journal = {The Journal of Chemical Physics},\n"
"    volume = {142},\n"
"    number = {23},\n"
"    pages = {234105},\n"
"    year = {2015},\n"
"    doi = {10.1063/1.4922378},\n"
"    URL = { \n"
"            http://dx.doi.org/10.1063/1.4922378\n"
"    },\n"
"    eprint = { \n"
"            http://dx.doi.org/10.1063/1.4922378\n"
"    }\n"
"    }\n"
  ;
void FC_FUNC_(get_bigdft_bibliography, GET_BIGDFT_BIBLIOGRAPHY)(char* db_ptr,int* db_len)
{
  if (*db_len==0)
    {
    *db_len=strlen(bigdft_bibliography_arr);
    return;
    }
  else
    {
      memcpy(db_ptr,bigdft_bibliography_arr, sizeof(char) * (*db_len));
    }
}
